summary refs log tree commit diff
path: root/scripts-dev/generate_sample_config.sh
diff options
context:
space:
mode:
authorDavid Robertson <davidr@element.io>2022-03-02 18:00:26 +0000
committerGitHub <noreply@github.com>2022-03-02 18:00:26 +0000
commit1fbe0316a991e77289d4577b16ff3fcd27c26dc8 (patch)
tree9b63f5af32d0f217bd161690ab4b2bb45795398e /scripts-dev/generate_sample_config.sh
parentRemove unused mocks from `test_typing` (#12136) (diff)
downloadsynapse-1fbe0316a991e77289d4577b16ff3fcd27c26dc8.tar.xz
Add suffices to scripts in scripts-dev (#12137)
* Rename scripts-dev to have suffices

* Update references to `scripts-dev`

* Changelog

* These scripts don't pass mypy
Diffstat (limited to 'scripts-dev/generate_sample_config.sh')
-rwxr-xr-xscripts-dev/generate_sample_config.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/scripts-dev/generate_sample_config.sh b/scripts-dev/generate_sample_config.sh
new file mode 100755
index 0000000000..375897eacb
--- /dev/null
+++ b/scripts-dev/generate_sample_config.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+#
+# Update/check the docs/sample_config.yaml
+
+set -e
+
+cd "$(dirname "$0")/.."
+
+SAMPLE_CONFIG="docs/sample_config.yaml"
+SAMPLE_LOG_CONFIG="docs/sample_log_config.yaml"
+
+check() {
+    diff -u "$SAMPLE_LOG_CONFIG" <(synapse/_scripts/generate_log_config.py) >/dev/null || return 1
+}
+
+if [ "$1" == "--check" ]; then
+    diff -u "$SAMPLE_CONFIG" <(synapse/_scripts/generate_config.py --header-file docs/.sample_config_header.yaml) >/dev/null || {
+        echo -e "\e[1m\e[31m$SAMPLE_CONFIG is not up-to-date. Regenerate it with \`scripts-dev/generate_sample_config.sh\`.\e[0m" >&2
+        exit 1
+    }
+    diff -u "$SAMPLE_LOG_CONFIG" <(synapse/_scripts/generate_log_config.py) >/dev/null || {
+        echo -e "\e[1m\e[31m$SAMPLE_LOG_CONFIG is not up-to-date. Regenerate it with \`scripts-dev/generate_sample_config.sh\`.\e[0m" >&2
+        exit 1
+    }
+else
+    synapse/_scripts/generate_config.py --header-file docs/.sample_config_header.yaml -o "$SAMPLE_CONFIG"
+    synapse/_scripts/generate_log_config.py -o "$SAMPLE_LOG_CONFIG"
+fi